Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-1523

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2011-1523
Last Modified 21 Sep 2011 11:30:25
Published 03 May 2011 03:55:10
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2011-1523

Summary

Cross-site scripting (XSS) vulnerability in statusmap.c in statusmap.cgi in Nagios 3.2.3 and earlier allows remote attackers to inject arbitrary web script or HTML via the layer parameter.

Vulnerable Systems

Application

  • Nagios 1.0

  • Nagios 1.0 B1

  • Nagios 1.0 B2

  • Nagios 1.0 B3

  • Nagios 1.0b1

  • Nagios 1.0b2

  • Nagios 1.0b3

  • Nagios 1.0b4

  • Nagios 1.0b5

  • Nagios 1.0b6

  • Nagios 1.1

  • Nagios 1.2

  • Nagios 1.3

  • Nagios 1.4

  • Nagios 1.4.1

  • Nagios 2.0

  • Nagios 2.0b1

  • Nagios 2.0b2

  • Nagios 2.0b3

  • Nagios 2.0b4

  • Nagios 2.0b5

  • Nagios 2.0b6

  • Nagios 2.0rc1

  • Nagios 2.0rc2

  • Nagios 2.1

  • Nagios 2.10

  • Nagios 2.11

  • Nagios 2.2

  • Nagios 2.3

  • Nagios 2.3.1

  • Nagios 2.4

  • Nagios 2.5

  • Nagios 2.7

  • Nagios 2.8

  • Nagios 2.9

  • Nagios 3.0

  • Nagios 3.0.1

  • Nagios 3.0.2

  • Nagios 3.0.3

  • Nagios 3.0.4

  • Nagios 3.0.5

  • Nagios 3.0.6

  • Nagios 3.1.0

  • Nagios 3.1.1

  • Nagios 3.1.2

  • Nagios 3.2.0

  • Nagios 3.2.1

  • Nagios 3.2.2

  • Nagios 3.2.3


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=690877

UBUNTU - USN-1151-1

MISC - http://www.rul3z.de/advisories/SSCHADV2011-002.txt

MISC - http://tracker.nagios.org/view.php?id=207

SREASON - 8241

SECUNIA - 44974

SECUNIA - 43287

MLIST - [oss-security] 20110328 Re: CVE Request -- Nagios -- XSS in the network status map CGI script

MLIST - [oss-security] 20110325 CVE Request -- Nagios -- XSS in the network status map CGI script


Last Updated: 27 May 2016 10:56:22